﻿<UserControl x:Class="Drones2.Editare2"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Drones2"
             mc:Ignorable="d" 
             d:DesignHeight="600"   
              xmlns:Controls="clr-namespace:MahApps.Metro.Controls;assembly=MahApps.Metro" Width="708.333"      >
    <UserControl.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="pack://application:,,,/MahApps.Metro;component/Styles/Controls.xaml" />
                <ResourceDictionary Source="pack://application:,,,/MahApps.Metro;component/Styles/Controls.ComboBox.xaml" />
                <ResourceDictionary Source="pack://application:,,,/MahApps.Metro;component/Styles/Controls.TextBox.xaml" />
            </ResourceDictionary.MergedDictionaries>

            <Thickness x:Key="ControlMargin">0 5 0 0</Thickness>
        </ResourceDictionary>
    </UserControl.Resources>

    <Grid Margin="10,10,0,10">
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition />
            <RowDefinition Height="Auto" MinHeight="105" />
        </Grid.RowDefinitions>
        <ScrollViewer VerticalScrollBarVisibility="Auto" Margin="10,20,10,0" Grid.RowSpan="2" Grid.Row="1">
            <StackPanel  Grid.Row="2">
                <TextBox Width="250" x:Name="Nume_Traf" Controls:TextBoxHelper.Watermark="Nume Trafic"  >
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>
                <ComboBox Width="250" x:Name="NumeSector" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Nume Sector"  >
                    <ComboBoxItem>Botanica</ComboBoxItem>
                    <ComboBoxItem>Râșcani</ComboBoxItem>
                    <ComboBoxItem>Telecentru</ComboBoxItem>
                    <ComboBoxItem>Aeroport</ComboBoxItem>
                    <ComboBoxItem>Durlești</ComboBoxItem>
                    <ComboBoxItem>Stăuceni</ComboBoxItem>
                    <ComboBoxItem>Bubuieci</ComboBoxItem>
                    <ComboBoxItem>Trușeni</ComboBoxItem>
                    <ComboBoxItem>Băcioi</ComboBoxItem>
                    <ComboBoxItem>Colonița</ComboBoxItem>
                    <ComboBox.Style >
                        <Style BasedOn="{StaticResource MetroComboBox}" TargetType="{x:Type ComboBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />
                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </ComboBox.Style>
                </ComboBox>
                <ComboBox Width="250" x:Name="GradPericol" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Grad Pericol" >
                    <ComboBoxItem>Scăzut</ComboBoxItem>
                    <ComboBoxItem>Mediu</ComboBoxItem>
                    <ComboBoxItem>Ridicat</ComboBoxItem>
                    <ComboBox.Style >
                        <Style BasedOn="{StaticResource MetroComboBox}" TargetType="{x:Type ComboBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </ComboBox.Style>
                </ComboBox>
                <TextBox Width="250" x:Name="PermisTraf" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Permis Trafic" >
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>
                <DataGrid Width="450" x:Name="TrafGrid" Margin="0,10,0,90" Height="176" />
            </StackPanel>

        </ScrollViewer>
        <UniformGrid Grid.Row="2"
                                 Margin="10,0,10,20"
                                 Columns="2" Height="44" VerticalAlignment="Bottom">
            <Button Margin="282,10,-74,0"  Content="Editează" Click="Edit_Save" />
        </UniformGrid>

    </Grid>
</UserControl>
